package main

var helpCommands = [][]string{
	{"DECR", "key", "KV"},
	{"DECRBY", "key decrement", "KV"},
	{"DEL", "key [key ...]", "KV"},
	{"EXISTS", "key", "KV"},
	{"EXPIRE", "key seconds", "KV"},
	{"EXPIREAT", "key timestamp", "KV"},
	{"GET", "key", "KV"},
	{"GETSET", " key value", "KV"},
	{"INCR", "key", "KV"},
	{"INCRBY", "key increment", "KV"},
	{"MGET", "key [key ...]", "KV"},
	{"MSET", "key value [key value ...]", "KV"},
	{"SET", "key value", "KV"},
	{"SETNX", "key value", "KV"},
	{"TTL", "key", "KV"},
	{"PERSIST", "key", "KV"},
	{"HDEL", "key field [field ...]", "Hash"},
	{"HEXISTS", "key field", "Hash"},
	{"HGET", "key field", "Hash"},
	{"HGETALL", "key", "Hash"},
	{"HINCRBY", "key field increment", "Hash"},
	{"HKEYS", "key", "Hash"},
	{"HLEN", "key", "Hash"},
	{"HMGET", "key field [field ...]", "Hash"},
	{"HMSET", "key field value [field value ...]", "Hash"},
	{"HSET", "key field value", "Hash"},
	{"HVALS", "key", "Hash"},
	{"HCLEAR", "key", "Hash"},
	{"HMCLEAR", "key [key ...]", "Hash"},
	{"HEXPIRE", "key seconds", "Hash"},
	{"HEXPIREAT", "key timestamp", "Hash"},
	{"HTTL", "key", "Hash"},
	{"HPERSIST", "key", "Hash"},
	{"LINDEX", "key index", "List"},
	{"LLEN", "key", "List"},
	{"LPOP", "key", "List"},
	{"LPUSH", "key value [value ...]", "List"},
	{"LRANGE", "key start stop", "List"},
	{"RPOP", "key", "List"},
	{"RPUSH", "key value [value ...]", "List"},
	{"LCLEAR", "key", "List"},
	{"LMCLEAR", "key [key ...]", "List"},
	{"LEXPIRE", "key seconds", "List"},
	{"LEXPIREAT", "key timestamp", "List"},
	{"LTTL", "key", "List"},
	{"LPERSIST", "key", "List"},
	{"ZADD", "key score member [score member ...]", "ZSet"},
	{"ZCARD", "key", "ZSet"},
	{"ZCOUNT", "key min max", "ZSet"},
	{"ZINCRBY", "key increment member", "ZSet"},
	{"ZRANGE", "key start stop [WITHSCORES]", "ZSet"},
	{"ZRANGEBYSCORE", "key min max [WITHSCORES] [LIMIT offset count]", "ZSet"},
	{"ZRANK", "key member", "ZSet"},
	{"ZREM", "key member [member ...]", "ZSet"},
	{"ZREMRANGEBYRANK", "key start stop", "ZSet"},
	{"ZREMRANGEBYSCORE", "key min max", "ZSet"},
	{"ZREVRANGE", "key start stop [WITHSCORES]", "ZSet"},
	{"ZREVRANGEBYSCORE", "key max min  [WITHSCORES][LIMIT offset count]", "ZSet"},
	{"ZREVRANK", "key member", "ZSet"},
	{"ZSCORE", "key member", "ZSet"},
	{"ZCLEAR", "key", "ZSet"},
	{"ZMCLEAR", "key [key ...]", "ZSet"},
	{"ZEXPIRE", "key seconds", "ZSet"},
	{"ZEXPIREAT", "key timestamp", "ZSet"},
	{"ZTTL", "key", "ZSet"},
	{"ZPERSIST", "key", "ZSet"},
	{"BDELETE", "key", "ZSet"},
	{"BGET", "key", "Bitmap"},
	{"BGETBIT", "key offset", "Bitmap"},
	{"BSETBIT", "key offset value", "Bitmap"},
	{"BMSETBIT", "key offset value [offset value ...]", "Bitmap"},
	{"BOPT", "operation destkey key [key ...]", "Bitmap"},
	{"BCOUNT", "key [start end]", "Bitmap"},
	{"BEXPIRE", "key seconds", "Bitmap"},
	{"BEXPIREAT", "key timestamp", "Bitmap"},
	{"BTTL", "key", "Bitmap"},
	{"BPERSIST", "key", "Bitmap"},
	{"SLAVEOF", "host port", "Replication"},
	{"FULLSYNC", "-", "Replication"},
	{"SYNC", "index offset", "Replication"},
	{"PING", "-", "Server"},
	{"ECHO", "message", "Server"},
	{"SELECT", "index", "Server"},
}
